function roving2()

clear
global accpred;
optimize=0;
load rp2_01.txt -ascii;      % read in data for Roving 2, subject #1
data=rp2_01;
load roving2params.dat -ascii;    % read in paramater starting values from file params.dat
params=roving2params;
accpred=zeros(length(data),1);
nrep=50;
if (optimize==1)
    %indices=[2 4 5 6 7 8];          % Indices of parameters that will be fit using fminsearch
    %fitparams=params(indices);
    G = gene('@fitnessLauncher',200,20,length(params),ranges,'nemo.txt',100)
    %opt=optimset('TolFun',0.5000e-02,'TolX',5.0000e-05); % Set options for fminsearch
    %X=neldermead('fitness',fitparams,opt,data,params,indices,nrep); 
    %fitparams are the parameters being fit using fminsearch, params are all params, including fixed ones.
    %[indices' X fitparams]
    %outfile='bestparams.txt';
    %save(outfile,'params');
else
    indices=[];
    fitparams=[];
    RMSD=fitness(fitparams,data,params,indices,nrep)
    targetlure=data(:,1); %target = 1, lure =0
    pyes=data(:,6);
    accuracy=1-pyes;
    accuracy(find(targetlure))=pyes(find(targetlure));
    
    subplot(1,2,1)
    plot(accuracy,accpred,'o')
    xlabel('DATA')
    ylabel('NEMO')
    subplot(1,2,2)
    plot(accuracy,'r-o')
    ylabel('Accuracy')
    hold on
    plot(accpred,'b--o')
    hold off
    print -deps nemo.eps
    %Use text command to add text to the graph
end

function RMSD = fitnessLauncher(params)

  data=rp2_01;
  params=roving2params;
  nrep=50;

  RMSD = fitness(fitparams, data, params, nrep)